Package org.eclipse.birt.chart.computation

# Class DataSetIterator

java.lang.Object
org.eclipse.birt.chart.computation.DataSetIterator

All Implemented Interfaces:
  `Iterator`

public final class DataSetIterator extends Object implements Iterator
An immutable class with convenience methods provided to retrieve data from the dataset

## Constructor Summary

Constructors
Constructor
Description
`DataSetIterator(com.ibm.icu.util.Calendar[] ca)`
`DataSetIterator(Double[] dda)`
`DataSetIterator(Object oContent, int iDataType)`
`DataSetIterator(String[] sa)`
`DataSetIterator(DataSet ds)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Frees all references to data held internally in this structure
`Object`
`first()`
`int`
`getDataType()`
`int`
`getIndex()`
`boolean`
`hasNext()`
`boolean`
`isEmpty()`
`Object`
`last()`
`Object`
`next()`
`org.eclipse.birt.chart.util.BigNumber`
`nextBigNumber()`
`com.ibm.icu.util.Calendar`
`nextDateTime()`
`Double`
`nextDouble()`
`Number`
`nextNumber()`
`Object`
`nextObject()`
`com.ibm.icu.util.Calendar`
`nextPrimitiveDateTime()`
`double`
`nextPrimitiveDouble()`
`String`
`nextText()`
`void`
`notifyDataUpdate()`
`void`
`remove()`
`void`
`reset()`
`void`
`reverse(boolean bReverse)`
Reverses the series categories.
`int`
`size()`
`int`
`skip(int iCount)`
Skips the next iCount rows

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### DataSetIterator

public DataSetIterator(Double[] dda)

Parameters:
  `ds` -

### DataSetIterator

public DataSetIterator(String[] sa)

Parameters:
  `sa` -

### DataSetIterator

public DataSetIterator(com.ibm.icu.util.Calendar[] ca) throws ChartException

Parameters:
  `sa` -
Throws:
  `ChartException`

### DataSetIterator

public DataSetIterator(Object oContent, int iDataType) throws IllegalArgumentException, ChartException

Parameters:
  `ds` -
Throws:
  `IllegalArgumentException`
  `ChartException`

### DataSetIterator

public DataSetIterator(DataSet ds) throws IllegalArgumentException, ChartException

Parameters:
  `ds` -
Throws:
  `IllegalArgumentException`
  `ChartException`

## Method Details

### isEmpty

public boolean isEmpty()

Returns:

### nextPrimitiveDouble

public double nextPrimitiveDouble()

Returns:

### nextDouble

public Double nextDouble()

Returns:

### nextBigNumber

public org.eclipse.birt.chart.util.BigNumber nextBigNumber()

### nextNumber

public Number nextNumber()

### nextDateTime

public com.ibm.icu.util.Calendar nextDateTime()

Returns:

### nextText

public String nextText()

Returns:

### nextObject

public Object nextObject()

Returns:

### nextPrimitiveDateTime

public com.ibm.icu.util.Calendar nextPrimitiveDateTime()

Returns:

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator`
Returns:

### next

public Object next()

Specified by:
  `next` in interface `Iterator`
Returns:

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator`

### size

public int size()

Returns:

### reset

public void reset()

### first

public Object first()

Returns:

### last

public Object last()

Returns:

### clear

public void clear()
Frees all references to data held internally in this structure

### notifyDataUpdate

public void notifyDataUpdate()

### getDataType

public int getDataType()

Returns:

### getIndex

public int getIndex()

Returns:
  current index

### reverse

public void reverse(boolean bReverse)
Reverses the series categories.

Parameters:
  `bReverse` -

### skip

public int skip(int iCount)
Skips the next iCount rows

Parameters:
  `iCount` -
Returns:
  number of actually skipped rows